[Rubygems-developers] Re: [Wxruby-users] RubyGems and wxRuby

Curt Hibbs curt at curthibbs.us
Fri Apr 16 08:28:08 EDT 2004


Chad Fowler wrote:
>
> As I said, I don't think it will be too difficult.  We need to figure
> out how to best match platforms (i686-linux, i586-linux, etc.) so that
> the slight ambiguities that exist don't make things unwieldy.  But you
> can definitely make platform-specific gems now and they should work.

This is still a little ways off (a few weeks?), but what I would want to do
is to have a set of platform-specific gems for wxRuby, and then have a
single platform independent gem for the RubyGem Browser that specifies
wxRuby as a dependency. So, the scenario would be:

1) The user says to install the RubyGems Browser

2) RubyGems discovers the wxRuby dependency and installs the correct version
for the user's platform.

3) RubyGems installs the browser.

4) The user is very happy!  ;-)

Curt



More information about the Rubygems-developers mailing list